;  main.asm
;  
;  Copyright 2018 pancio <pancio@pancio.net>
;  
;  This program is free software; you can redistribute it and/or modify
;  it under the terms of the GNU General Public License as published by
;  the Free Software Foundation; either version 2 of the License, or
;  (at your option) any later version.
;  
;  This program is distributed in the hope that it will be useful,
;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;  GNU General Public License for more details.
;  
;  You should have received a copy of the GNU General Public License
;  along with this program; if not, write to the Free Software
;  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
;  MA 02110-1301, USA.


;I2C devices
DS1307   equ   $68
PCF8574  equ   $3f

         ORG   $6000
         
;main program         
         
         jsr   pcf_init
         
        
         lda   #$00
         sta   i2cbuf+1     ;data to send
         
mainloop lda   #PCF8574     ;load i2c slave address
         sta   i2cbuf       ;save I2C address into i2cbuf table as first
        
         
         lda   #<i2cbuf
         ldx   #>i2cbuf
         ldy   #2           ;send 1 byte to device
         jsr   i2c_send
         
         bcs   sterr        ;if error - store number
        
         lda   i2cbuf+1
         adc   #$01
         sta   i2cbuf+1
         jmp   mainloop 
         
sterr    sta   err          ;save error number
         brk
         

        ICL "pcf8584lib.asm"
